
Figure - Bug #112293
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111049 (New): AF-V2.0-副屏遥控器

【AF】【EVT】【副屏遥控器】无法使用遥控器进行音量调节
2022-09-29 19:54 - CD TEST-方永红

Status: CLOSED Start date: 2022-09-29

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_update_20221012

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220929.alpha_0025

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 之前的修改把AudioManager的IVolumeController回调给了VolumeController,但是在VolumeController没有show volume ui的操作,所以没有显示侧边音量条

Description

【前提条件】

设备已开机

【测试步骤】

1、DUT与手机连接在同一第三方网络下

2、启动遥控器

3、在遥控app上点击音量加减

【预期结果】

1、成功进行音量加减且屏幕上有相应展示

【实际结果】

1、无法进行音量加减

【复现率】

必现

History

#1 - 2022-09-29 20:35 - CD FW-王伟

- Assignee changed from CD FW-王伟 to CD FW-廖涛

#2 - 2022-09-30 14:22 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD FW-鲁凯峰

#3 - 2022-09-30 17:02 - CD TPM-王祥林

- Target version changed from VX1_MCE_FSE_V2.0_20220930 to VX1_MCE_FSE_V2.0_update_20221012

#4 - 2022-09-30 20:34 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 之前的修改把AudioManager的IVolumeController回调给了VolumeController,但是在VolumeController没有show volume ui的操作,所以没有显

示侧边音量条
■ Current state

问题已经解决

■ My Analyze

之前的修改把AudioManager的IVolumeController回调给了VolumeController,但是在VolumeController没有show volume ui的操作,所以没有显示侧边音量条

重新修改后,添加VolumeDialogController的Callbacks,统一由VolumeDialogControllerImpl收到AudioManager回调后,交给Callbacks处理

■ Next Step

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/153268/

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/153440

请在下个版本进行测试验证

#5 - 2022-10-09 10:06 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

#6 - 2022-10-09 10:07 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#7 - 2022-12-22 20:40 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

153268 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:QuickSettings: update qs volumeadd callback to update volumeTC-RID: 1201-0201903IssueID: TS-R-BUG-112293Change-Id:

I29a28a95ae4ed4c98334eb22e79d0cff8a62810a

#8 - 2022-12-22 20:40 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

153440 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix OnKeyDown Lose1.Fix OnKeyDown LoseTC-RID: 1201-0201813IssueID: TS-R-BUG-112293Change-Id:

Ib2d0897dc20737fda1e6feb2ade68dc667a2f40d

Files

音量加减 7.26 MB 2022-09-29 CD TEST-方永红
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/153268/
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/153440

